package it.unina.tools.csvreport;

/**
 * classe che contiene i risultati di un test relativamente ad un criterio
 * di coverage. per ogni rigo del file csv esisteranno diversi criteri
 * di coverage calcolate e per ognuno di questi esistera una istanza
 * di questa classe
 * gli attributi sono istanziati nel costruttore e letti tramite i metodi get
 * @author francesco
 *
 */
public class CoverageCriterion {
	private String name;
	private Integer covered;
	private Integer total;
	private Integer uncovered;
	private Double coverage;
	
	public CoverageCriterion(String name, Integer covered, Integer uncovered,
			Integer total, Double coverage) {
		super();
		this.name = name;
		this.covered = covered;
		this.uncovered = uncovered;
		this.total = total;
		this.coverage = coverage;
	}
	
	public String getName() {
		return name;
	}
	public Integer getCovered() {
		return covered;
	}
	public Integer getUncovered() {
		return uncovered;
	}
	public Integer getTotal() {
		return total;
	}
	public Double getCoverage() {
		return coverage;
	}
}
